using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PowderCoating.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddWorkOrderTemplate : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "SamplePanelNotes",
                table: "InventoryItems");

            migrationBuilder.AddColumn<string>(
                name: "WoAccentColor",
                table: "CompanyPreferences",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "WoTerms",
                table: "CompanyPreferences",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 1,
                column: "CreatedAt",
                value: new DateTime(2026, 4, 18, 22, 8, 33, 158, DateTimeKind.Utc).AddTicks(643));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 2,
                column: "CreatedAt",
                value: new DateTime(2026, 4, 18, 22, 8, 33, 158, DateTimeKind.Utc).AddTicks(650));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 3,
                column: "CreatedAt",
                value: new DateTime(2026, 4, 18, 22, 8, 33, 158, DateTimeKind.Utc).AddTicks(651));
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "WoAccentColor",
                table: "CompanyPreferences");

            migrationBuilder.DropColumn(
                name: "WoTerms",
                table: "CompanyPreferences");

            migrationBuilder.AddColumn<string>(
                name: "SamplePanelNotes",
                table: "InventoryItems",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 1,
                column: "CreatedAt",
                value: new DateTime(2026, 4, 17, 17, 5, 40, 37, DateTimeKind.Utc).AddTicks(7587));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 2,
                column: "CreatedAt",
                value: new DateTime(2026, 4, 17, 17, 5, 40, 37, DateTimeKind.Utc).AddTicks(7592));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 3,
                column: "CreatedAt",
                value: new DateTime(2026, 4, 17, 17, 5, 40, 37, DateTimeKind.Utc).AddTicks(7594));
        }
    }
}
